package jpa;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 
 * @author Marcos García Núñez (mgarcianun@uoc.edu)
 *
 */
@Entity
@Table(name = "MyHealth.PrimaryHealthCareCenter")
public class PrimaryHealthCareCenterJPA implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	private String name;
	private String location;

	/**
	 * Class constructor methods
	 */
	public PrimaryHealthCareCenterJPA() {
		super();
	}

	public PrimaryHealthCareCenterJPA(String name, String location) {
		this.name = name;
		this.location = location;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String description) {
		this.location = description;
	}
}
